%define tarname Pygments

Name:           python-pygments
Version:        2.1.3
Release:        %mkrel 1
Summary:        Syntax highlighting package written in Python
Group:          Development/Python
License:        BSD
URL:            http://pygments.org/
Source0:        http://pypi.python.org/packages/source/P/%{tarname}/%{tarname}-%{version}.tar.gz
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
Requires:       python-pkg-resources
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description
Pygments is a syntax highlighting package written in Python.  It is a
generic syntax highlighter for general use in all kinds of software
such as forum systems, wikis or other applications that need to
prettify source code.  Highlights are:

* a wide range of common languages and markup formats is supported
* special attention is paid to details, increasing quality by a fair amount
* support for new languages and formats are added easily
* a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI
  sequences
* it is usable as a command-line tool and as a library
* ... and it highlights even Brainf*ck!

%package -n python3-pygments
Summary:        Syntax highlighting package written in Python3
Group:          Development/Python

%description -n python3-pygments
Pygments is a syntax highlighting package written in Python.  It is a
generic syntax highlighter for general use in all kinds of software
such as forum systems, wikis or other applications that need to
prettify source code.

%prep
%setup -q -n %{tarname}-%{version}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/pygmentize %{buildroot}%{_bindir}/python3-pygmentize
popd

%py2_install
install -Dm0644 doc/pygmentize.1 %{buildroot}%{_mandir}/man1/pygmentize.1

%files 
%license LICENSE
%doc AUTHORS CHANGES TODO
%{python2_sitelib}/*
%{_bindir}/pygmentize
%_mandir/man1/pygmentize.*

%files -n python3-pygments
%license LICENSE
%doc AUTHORS CHANGES TODO
%{python3_sitelib}/*
%{_bindir}/python3-pygmentize


%changelog
* Sat Apr 16 2016 philippem <philippem> 2.1.3-1.mga6
+ Revision: 1003076
- update to 2.1.3

* Mon Dec 14 2015 philippem <philippem> 2.0.2-4.mga6
+ Revision: 910469
- better fix for shell injection security issue mga#17331

* Thu Nov 19 2015 philippem <philippem> 2.0.2-3.mga6
+ Revision: 904352
- Backport patch to fix font manager shell injection for mga#17165

* Wed Oct 07 2015 tv <tv> 2.0.2-2.mga6
+ Revision: 886729
- rebuild for python 3.5

* Thu Aug 20 2015 joequant <joequant> 2.0.2-1.mga6
+ Revision: 866939
- upgrade to 2.0.2

* Wed Oct 15 2014 umeabot <umeabot> 1.6-8.mga6
+ Revision: 745456
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6-7.mga5
+ Revision: 726917
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6-6.mga5
+ Revision: 688257
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6-5.mga5
+ Revision: 628947
- Rebuild for new Python

* Tue Oct 22 2013 philippem <philippem> 1.6-4.mga4
+ Revision: 546306
- fix rel, Rebuild to add different pythonegg provides for python 2 and 3
- cleaning spec

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 02 2013 philippem <philippem> 1.6-2.mga4
+ Revision: 449652
- add Python3

* Mon Feb 11 2013 fwang <fwang> 1.6-1.mga3
+ Revision: 397845
- new version 1.6 final

* Sun Jan 20 2013 barjac <barjac> 1.6-0.rc1.1.mga3
+ Revision: 390024
- new version with RPMSpec lexer
- patched to highlight Suggests
- should fix Mga #7906

* Sun Jan 13 2013 umeabot <umeabot> 1.5-2.mga3
+ Revision: 379348
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 1.5-1.mga3
+ Revision: 290083
- New upstream release 1.5

* Mon Feb 21 2011 ahmad <ahmad> 1.4-2.mga1
+ Revision: 55580
- rebuild to make all pythonegg requires/provides lowercase

* Thu Feb 03 2011 ahmad <ahmad> 1.4-1.mga1
+ Revision: 46751
- update to 1.4

* Mon Jan 17 2011 pterjan <pterjan> 1.3.1-6.mga1
+ Revision: 21281
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 1.3.1-5.mga1
+ Revision: 8347
- drop the old %%py_requires macro and add BR python-devel
- imported package python-pygments

